# $Revision: 1.8.2.2 $, $Date: 2003/04/28 12:51:49 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	CoreStack
Summary:	Devel::CoreStack perl module
Summary(pl):	Modu perla Devel::CoreStack
Name:		perl-Devel-CoreStack
Version:	1.3
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module attempts to generate a stack dump from a core file by
locating the best available debugger (if any) and running it with the
appropriate arguments and command script.

%description -l pl
Ten modu prbuje wygenerowa zrzut stosu z pliku core poprzez
zlokalizowanie najlepszego dostpnego debuggera (jeli w ogle jest) i
uruchomienie go z odpowiednimi parametrami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_privlib}/Devel/CoreStack.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Devel-CoreStack.spec,v $
Revision 1.8.2.2  2003/04/28 12:51:49  ankry
- really rel++

Revision 1.8.2.1  2003/03/13 00:56:59  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:31:26  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/07/10 08:47:01  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.5  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/03/20 09:44:57  qboosh
- added descriptions, release 3

Revision 1.3  2002/02/25 10:30:46  depesz
cleanup; revision++

Revision 1.2  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/21 15:51:39  zagrodzki
- initial release, no description yet
